/*->c.reslink */


#include <stdafx.h>

#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <stdio.h>
#include <locale.h>

#include "os.h"
#include "wimpt.h"

#include "err.h"
#include "temp.h"
#include "mlo.h"
#include "filetype.h"

#include "deb.h"

#include "main.h"



#include "reslink.h"






#define FTLAST  -1
#define FTDEFLT -2



static filetypelink filetypelink;

static filetypetag filetypetable[]=
{
 0xFFF,"txt","Text (*.txt)",
 0xFFD,NULL,"Data (*.dat)",
 FTDEFLT,"dat","Data (*.dat)",

 FTLAST,NULL
};






static errtag errortable[]=
{
 EREPDEC,"{EREPDEC}",
 EREPNEG,"{EREPNEG}",
 EBADVAL,"{EBADVAL}",

 EMISS,"{EMISS}",
 ECOMM,"{ECOMM}",

 ECANCEL,"{ECANCEL}",
 EEMPTY,"{EEMPTY}",

 ELAST ,""
};


static errlink errorlink;


static menustr menutable[]=
{
 MMAIN,  "Main",    NULL,  0,  0,  0,         0,             0,   maindecode,maindynamic,
 MFILE,   NULL,     NULL,  0,  0,  MMAIN,     FILE_M_MAIN,   0,   NULL,      NULL,
 MWORK,   NULL,     NULL,  0,  0,  MMAIN,     WORK_M_MAIN,   0,   NULL,      NULL,
 MCONF,   NULL,     NULL,  0,  0,  MMAIN,     CONF_M_MAIN,   0,   NULL,      NULL,
 MHELP,   NULL,     NULL,  0,  0,  MMAIN,     HELP_M_MAIN,   0,   NULL,      NULL,

 MLAST,   NULL,     NULL,  0,  0,  0,         0,             0,   NULL,      NULL,
 
 
 
 MLAST,    NULL,  NULL,  0,  0,  0,        0,                0,   NULL,        NULL,

};


static menulink mlink;




static templates temptable[]=
{
 TSYNCDISCS,1,0,"SyncDiscs",
 TPROGRESS,1,0,"Progress",
 TLOGGING,1,0,"Logging",
 TOPTIONS,1,0,"Options",
 TNEWWORK,1,0,"NewWork",

 // TGETDIR,1,0,"GetDir",         getdirinit() does this

 TLAST,  0,0,""
};


static templink templatelink;


os_error * resinit(char * resources)
{
 os_error * err;

          err=adderrortable(errortable,&errorlink);
 if(!err) err=addtemplates(resources,"Templates",temptable,&templatelink);
 if(!err) err=addmenus(resources,"Menus",menutable,&mlink);
 if(!err) err=addfiletypetable(filetypetable,&filetypelink);
 return(err);
}

